commit 73d6e13f9b0cc4f708210372c59893950b3f7097
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Tue Feb 14 11:57:27 2023 +0000

    tidying

diff --git a/src/src/exim_dbmbuild.c b/src/src/exim_dbmbuild.c
index 0ea71795f..43628234d 100644
--- a/src/src/exim_dbmbuild.c
+++ b/src/src/exim_dbmbuild.c
@@ -52,6 +52,9 @@ void
 store_release_above_3(void *ptr, const char *func, int linenumber)
 { }
 gstring *
+string_catn(gstring * g, const uschar * s, int count)
+{ return NULL; }
+gstring *
 string_vformat_trc(gstring * g, const uschar * func, unsigned line,
   unsigned size_limit, unsigned flags, const char *format, va_list ap)
 { return NULL; }
diff --git a/src/src/expand.c b/src/src/expand.c
index 1daf10044..baf7134cd 100644
--- a/src/src/expand.c
+++ b/src/src/expand.c
@@ -478,8 +478,8 @@ typedef struct {
   int  *length;
 } alblock;
 
-static uschar * fn_recipients(void);
 typedef uschar * stringptr_fn_t(void);
+static uschar * fn_recipients(void);
 static uschar * fn_queue_size(void);
 
 /* This table must be kept in alphabetical order. */
@@ -685,7 +685,7 @@ static var_entry var_table[] = {
   { "qualify_domain",      vtype_stringptr,   &qualify_domain_sender },
   { "qualify_recipient",   vtype_stringptr,   &qualify_domain_recipient },
   { "queue_name",          vtype_stringptr,   &queue_name },
-  { "queue_size",          vtype_string_func, &fn_queue_size },
+  { "queue_size",          vtype_string_func, (void *) &fn_queue_size },
   { "rcpt_count",          vtype_int,         &rcpt_count },
   { "rcpt_defer_count",    vtype_int,         &rcpt_defer_count },
   { "rcpt_fail_count",     vtype_int,         &rcpt_fail_count },
diff --git a/src/src/globals.c b/src/src/globals.c
index a4b2c6a9c..78b225fbc 100644
--- a/src/src/globals.c
+++ b/src/src/globals.c
@@ -1326,7 +1326,7 @@ const pcre2_code *regex_EARLY_PIPE   = NULL;
 int    regex_cachesize		     = 0;
 const pcre2_code *regex_ismsgid      = NULL;
 const pcre2_code *regex_smtp_code    = NULL;
-const uschar *regex_vars[REGEX_VARS] = { 0 };;
+const uschar *regex_vars[REGEX_VARS] = { NULL };
 #ifdef WHITELIST_D_MACROS
 const pcre2_code *regex_whitelisted_macro = NULL;
 #endif

